import {ComponentFixture, TestBed} from '@angular/core/testing';

import {FeedbackComponent} from './feedback.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {AngularMaterialModule} from '../modules/angular-material.module';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {Feedback, FeedbackService} from '../services/feedback.service';
import {of} from 'rxjs';
import {DialogService} from '../modals/dialog/dialog.service';

describe('FeedbackComponent', () => {
  let component: FeedbackComponent;
  let fixture: ComponentFixture<FeedbackComponent>;

  let feedbackService: FeedbackService;
  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ FeedbackComponent ],
      imports: [
      FormsModule,
      ReactiveFormsModule,
      AngularMaterialModule,
      BrowserAnimationsModule
      ],
      providers: [ {provide: DialogService, useValue: {close: () => undefined}}]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(FeedbackComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
    feedbackService = TestBed.inject(FeedbackService);
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should send feedback', () => {
    const spy = spyOn(feedbackService, 'sendFeedback').and.returnValue(of<Feedback>({comment: '', rating: 5}));
    component.form.get('rating')?.setValue(2);
    component.sendFeedback();
    expect(spy).toHaveBeenCalled();
  });
});
