import { ComponentFixture, TestBed } from '@angular/core/testing';

import { MeasurementsTabComponent } from './measurements-tab.component';
import {TabsComponent} from '../../tabs/tabs.component';
import {MatTabsModule} from '@angular/material/tabs';
import {Component} from '@angular/core';
import {DataSourceService} from '../../services/data-source.service';
import {of} from 'rxjs';
import {FormsModule, NgForm} from '@angular/forms';
import {RouterTestingModule} from '@angular/router/testing';

@Component({selector: 'app-measurements-midwife', template: ''})
class MidwifeStubComponent {
}

@Component({selector: 'app-measurements-scans', template: ''})
class ScansStubComponent {
}
@Component({selector: 'app-measurements-summary', template: ''})
class SummaryStubComponent {
}
@Component({selector: 'app-measurements-screenings', template: ''})
class ScreeningsStubComponent {
}

describe('MeasurementsTabComponent', () => {
  let component: MeasurementsTabComponent;
  let fixture: ComponentFixture<MeasurementsTabComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [MatTabsModule, FormsModule, RouterTestingModule],
      declarations: [MeasurementsTabComponent,
        TabsComponent,
        MidwifeStubComponent,
        ScansStubComponent,
        SummaryStubComponent,
        ScreeningsStubComponent
      ],
      providers: [
        { provide: DataSourceService, useValue: {dummyDataCards$: of([{}])} },
        { provide: NgForm, useValue: new NgForm([], []) },
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(MeasurementsTabComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
