import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {DataCardComponent} from '../data-card/data-card.component';
import {MeasurementsTabComponent} from '../measurements/measurements-tab/measurements-tab.component';
import {ActivitiesComponent} from '../activities/activities.component';
import {PregnancyComponent} from '../pregnancy/pregnancy.component';
import {PatientInformationComponent} from '../patient-information/patient-information.component';
import {DirtyGuard} from '../confirm-navigation-if-dirty.framework';


/**
 * The application routing parameters
 */
export const appRoutes: Routes = [
  { path: 'data-card', component: DataCardComponent, canDeactivate: [DirtyGuard] },
  { path: 'forløbsplan', component: ActivitiesComponent, canDeactivate: [DirtyGuard] },
  { path: 'undersøgelser-og-målinger', component: MeasurementsTabComponent, canDeactivate: [DirtyGuard] },
  { path: 'svangerskab', component: PregnancyComponent, canDeactivate: [DirtyGuard] },
  { path: 'patientoplysninger', component: PatientInformationComponent, canDeactivate: [DirtyGuard] },
  { path: '**', redirectTo: 'data-card', canDeactivate: [DirtyGuard] }
];

@NgModule({
  imports: [RouterModule.forRoot(appRoutes, {useHash: true})],
  exports: [RouterModule]
})

export class RoutingModule { }
